summaryrefslogtreecommitdiffhomepage
path: root/runsc/version_test.sh
diff options
context:
space:
mode:
authorgVisor bot <gvisor-bot@google.com>2019-09-12 14:55:24 -0700
committergVisor bot <gvisor-bot@google.com>2019-09-12 14:55:24 -0700
commit78cfbbda4bcf29cc445f2ac000d4f2f9c72123f6 (patch)
tree744e315a718e47a6e29124ba992869d68a6b9e8b /runsc/version_test.sh
parent857940d30d3a8dbb099bad43954fe8062b70461d (diff)
parentc1a8275b470fe0d8390cba166d4937059fd89b8b (diff)
Merge pull request #843 from nlacasse:version
PiperOrigin-RevId: 268772451
Diffstat (limited to 'runsc/version_test.sh')
-rwxr-xr-xrunsc/version_test.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/runsc/version_test.sh b/runsc/version_test.sh
new file mode 100755
index 000000000..cc0ca3f05
--- /dev/null
+++ b/runsc/version_test.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+# Copyright 2018 The gVisor Authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -euf -x -o pipefail
+
+readonly runsc="${TEST_SRCDIR}/__main__/runsc/linux_amd64_pure_stripped/runsc"
+readonly version=$($runsc --version)
+
+# Version should should not match VERSION, which is the default and which will
+# also appear if something is wrong with workspace_status.sh script.
+if [[ $version =~ "VERSION" ]]; then
+ echo "FAIL: Got bad version $version"
+ exit 1
+fi
+
+# Version should contain at least one number.
+if [[ ! $version =~ [0-9] ]]; then
+ echo "FAIL: Got bad version $version"
+ exit 1
+fi
+
+echo "PASS: Got OK version $version"
+exit 0